summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:53:50 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:50 +0200
commit91f45919a7d7edf4da4e107022547719355d2da6 (patch)
treef7b8a1ced19c4da8dc2044084d86eba93e55f724 /graphics
parent4b3d6e0e1fca4d60e3eb9dec10e2b265926fc93a (diff)
downloadslackbuilds-91f45919a7d7edf4da4e107022547719355d2da6.tar.gz
slackbuilds-91f45919a7d7edf4da4e107022547719355d2da6.tar.xz
graphics/autopano-sift-C: Added to 12.1 repository
Diffstat (limited to 'graphics')
-rw-r--r--graphics/autopano-sift-C/README6
-rw-r--r--graphics/autopano-sift-C/autopano-sift-C.SlackBuild56
-rw-r--r--graphics/autopano-sift-C/autopano-sift-C.info8
-rw-r--r--graphics/autopano-sift-C/slack-desc11
4 files changed, 81 insertions, 0 deletions
diff --git a/graphics/autopano-sift-C/README b/graphics/autopano-sift-C/README
new file mode 100644
index 0000000000..e0801ea752
--- /dev/null
+++ b/graphics/autopano-sift-C/README
@@ -0,0 +1,6 @@
+autopano-sift-C is a C port of the C# software autopano-sift. It automatically
+creates control points for groups of overlapping photographs. Additionally,
+autopano-sift-C has experimental modifications to perform feature
+identification in conformal image space.
+
+Requires libpano13, available at SlackBuilds.org
diff --git a/graphics/autopano-sift-C/autopano-sift-C.SlackBuild b/graphics/autopano-sift-C/autopano-sift-C.SlackBuild
new file mode 100644
index 0000000000..6b6b311892
--- /dev/null
+++ b/graphics/autopano-sift-C/autopano-sift-C.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for autopano-sift-C
+# Written by Erik Hanson erik@slackbuilds.org
+
+set -eu
+
+PRGNAM=autopano-sift-C
+VERSION=2.5.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr .
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | egrep "ELF.*executable" | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mv $PKG/usr/share/man $PKG/usr/man
+rmdir $PKG/usr/share
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a ChangeLog LICENSE README README.1ST $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/autopano-sift-C/autopano-sift-C.info b/graphics/autopano-sift-C/autopano-sift-C.info
new file mode 100644
index 0000000000..1a9264f430
--- /dev/null
+++ b/graphics/autopano-sift-C/autopano-sift-C.info
@@ -0,0 +1,8 @@
+PRGNAM="autopano-sift-C"
+VERSION="2.5.0"
+HOMEPAGE="http://wiki.panotools.org/Autopano-sift-C"
+DOWNLOAD="http://downloads.sourceforge.net/hugin/autopano-sift-C-2.5.0.tar.gz"
+MD5SUM="d4e6bfab53fe227a36eec4c94c0bbfe6"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/graphics/autopano-sift-C/slack-desc b/graphics/autopano-sift-C/slack-desc
new file mode 100644
index 0000000000..314fcc9413
--- /dev/null
+++ b/graphics/autopano-sift-C/slack-desc
@@ -0,0 +1,11 @@
+autopano-sift-C: autopano-sift-C (automatic control point generator)
+autopano-sift-C:
+autopano-sift-C: autopano-sift-C is a C port of the C# software autopano-sift.
+autopano-sift-C: It automatically creates control points for groups of
+autopano-sift-C: overlapping photographs. Additionally, autopano-sift-C has
+autopano-sift-C: experimental modifications to perform feature identification
+autopano-sift-C: in conformal image space.
+autopano-sift-C:
+autopano-sift-C:
+autopano-sift-C: http://wiki.panotools.org/Autopano-sift-C
+autopano-sift-C: